Make use of 16px symbolic icons in Pitivi's header bar
Closed, ResolvedPublic

Description

I would like to ask to make Pitivi use symbolic icons in the headerbar to be in line with the GNOME HIG and to blend in with other apps which use the GTK+ 3 CSD header bar.

Currently the header bar uses four non-symbolic icons:

of which the following 3 are provided by the freedesktop icon theme, e.g. Adwaita.

  • edit-undo
  • edit-redo
  • document-save

The fourth one comes shipped with Pitivi and is not part of freedesktop icon themes (and hardcoded actually)

  • pitivi-render-24 (or is it pitivi-render-22?)

Here's a screenshot showing the pitivi-render-xx icons in my /usr/share/pitivi/pixmaps

The first three header bar icons could simply be replaced by their -symbolic counterparts (provided by freedesktop icon themes).
Here's a picture showing the respective Adwaita icons:

For the pitivi-render icon there are two (ore more) options

  • a new design

If the current cog design/metaphor is to be kept this can easily be achieved by a combination of the Adwaita icons applications-multimedia-symbolic and system-run-symbolic

  • simply using system-run-symbolic

Additionally I'd like to ask you to unhardcode the render icon so it can be themed.

Details

Commits
D1868 / rPTV9a604f10e55d: mainwindow: Move the Save and Render buttons on the right side
git URI
git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6487
palob created this task.Sep 3 2017, 12:28 PM
palob updated the task description. (Show Details)Sep 3 2017, 3:31 PM
palob updated the task description. (Show Details)Sep 3 2017, 5:38 PM
aleb moved this task from Backlog to 1.0 on the Pitivi board.Sep 4 2017, 9:45 PM
aleb edited projects, added Pitivi (1.0); removed Pitivi.
aleb triaged this task as Low priority.Sep 5 2017, 9:22 AM
aleb moved this task from Backlog to In progress on the Pitivi (1.0) board.Oct 25 2017, 8:17 PM
aleb added a subscriber: aleb.Oct 25 2017, 10:14 PM

current:

applications-multimedia:

system-run:

system-run, small icons:

aleb added a subscriber: jeff.Oct 25 2017, 10:15 PM
aleb added a comment.Oct 25 2017, 10:55 PM

Save and Render on the right side because: the hamburger menu has Save As... and export options, and Gedit has Save on the right side:

Save and Render on the right side with no icons:

aleb added a comment.Oct 25 2017, 11:14 PM

The cogs do look nice though:

aleb set git URI to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6477.
aleb moved this task from In progress to Needs review on the Pitivi (1.0) board.Oct 25 2017, 11:21 PM
aleb claimed this task.Oct 25 2017, 11:25 PM
aleb changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6477 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6487.Nov 3 2017, 7:31 AM

Splendid, thanks a lot.

What are we missing here? :-)

aleb closed this task as Closed.Nov 30 2017, 8:50 AM
aleb moved this task from Needs review to Done on the Pitivi (1.0) board.Nov 30 2017, 8:51 AM

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/2096.

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/2097.